0.255 2023-05-31
----------------


MAME Testers bugs fixed
-----------------------
- 00516: [Graphics] (atari/maxaflex.cpp) All sets in maxaflex.cpp: Remaining time LED displays are not updated correctly. (hap)
- 04567: [Sound] (taito/flstory.cpp) flstory: MSM5232 envelope decay is slower than it should be. (O. Galibert)
- 05495: [Sound] (misc/micro3d.cpp) All sets in micro3d.cpp: Music and sound effects are not played. (Patrick Mackinlay)
- 07184: [Sound] (konami/konamigv.cpp) Possibly all sets in konamigv.cpp: CD audio does not play. (Angelo Salese)
- 08088: [Crash/Freeze] (sega/naomi.cpp) demofist: Emulator hangs when using recompiler. (Angelo Salese)
- 08609: [Crash/Freeze] (dynax/royalmah.cpp) mjsenka: Emulator may crash. (hap)
- 08612: [Interface] (sega/megatech.cpp) megatech: Info screen should appear above game screen. (hap)
- 08613: [DIP/Input] (cinematronics/jack.cpp) tripool, tripoola: Inputs are not labelled correctly and buttons are missing. (hap)
- 08614: [Crash/Freeze] (seta/seta.cpp) extdwnhl: Game freezes during credit roll. (Angelo Salese)
- 08620: [Crash/Freeze] UI: Data plugin viewer crashes when loose software is mounted. (Vas Crabb)
- 08625: [Interface] UI: Systems that only require device ROMs may be incorrectly reported as not present. (Vas Crabb)
- 08628: [Sound] (konami/twin16.cpp) vulcan and gradius2: Incorrect sound sample played when starting game. (AJR)
- 08629: [DIP/Input] (taito/taito_z.cpp) spacegun: Emulated game freezes during attract mode. (hap)
- 08630: [DIP/Input] (galaxian/galaxian.cpp) jumpbug: Difficulty setting is labelled incorrectly. (johnmcallister)
- 08631: [DIP/Input] (taito/ssrj.cpp) alpine set 1 only: Time extension setting is labelled incorrectly. (johnmcallister)
- 08644: [Gameplay] (nintendo/gb.cpp) gbcolor [konamic2,konamic4]: Game crashes before reaching the title screen. (Vas Crabb)


New working systems
-------------------
Basketball (Tomy) [hap, Sean Riddle]
Burger Kids (Japan) [Phil Bennett]
Konami Teenage Mutant Ninja Turtles 3: Shredder's Last Stand (handheld) [algestam, Sean Riddle, Mr. Do]
Konami Teenage Mutant Ninja Turtles: Basketball [algestam, Sean Riddle, Mr. Do]
Lakeside Computer Perfection [hap, Sean Riddle]
mc / Franzis Verlag mc-68000-Computer [Dirk Best, Klaus Loy]
Omron Luna 88K [Jeffrey McMahill]
Psion HC 120 [Nigel Barnes, zedstarr]
Tronica Super Goal Keeper [algestam]
Volleyball (Tomy) [hap, Sean Riddle]


New working clones
------------------
Galaxian III (bootleg of Galaxian) [Stephan Suys]
GX Part 2 (Galaxian hack) [Eric Conrad]
Gyakuten!! Puzzle Bancho (Japan, set 2) [twistedsymphony]
Jolly Game (V1, Otti Karl logo) [TeamEurope, f205v, Roberto Fresca]
Jolly Joker (original program, interleaved GFX, Otti Karl logo, set 1) [TeamEurope, f205v, Roberto Fresca]
Jolly Joker (original program, interleaved GFX, Otti Karl logo, set 2) [TeamEurope, f205v, Roberto Fresca]
Karate Champ (US, 2 players) [Museo Arcade Vintage, ClawGrip]
Mega Card (Ver.0053, encrypted) [TeamEurope, f205v, Roberto Fresca]
Peters Plus, Ivan Mak Sprinter Sp2000 [holub]
Pop'n Music Animelo (license expired) [Windy Fairy]
Pop'n Music Animelo 2 (license expired) [Windy Fairy]
Psion HC 100 [Nigel Barnes, zedstarr]
Psion HC 110 [Nigel Barnes, zedstarr]
Selchow & Righter Scrabble Lexor: Computer Word Game (MN1405 version) [hap, Sean Riddle]
Street Fighter II': Champion Edition (World 920803) [playero]
WWF Superstars (bootleg with 2xYM2203) [anonymous]
Yamaha PSR-190 [Edward d-tech]


Systems promoted to working
---------------------------
Gamshara (20020912A / 10021 Ver.A) [Bill D.]
Golgo 13: Juusei no Requiem (Japan, GLT1 VER.A) [Windy Fairy]
Omron Luna 88K² [Patrick Mackinlay]
Point Blank 3 (World, GNN2 Ver.A) [Peter Wilhelmsen, Samuel Neves, Guru, Windy Fairy]
Pop'n Music 4 [Windy Fairy, O. Galibert]
Pop'n Music 5 [Windy Fairy, O. Galibert]
Pop'n Music 6 [Windy Fairy, O. Galibert]
Pop'n Music 7 [Windy Fairy, O. Galibert]
Pop'n Music 8 [Windy Fairy, O. Galibert]
Pop'n Music Animelo [Windy Fairy, O. Galibert]
Pop'n Music Animelo 2 [Windy Fairy, O. Galibert]
Pop'n Music Mickey Tunes [Windy Fairy, O. Galibert]
Seishun-Quiz Colorful High School (CHS1 Ver.A) [Windy Fairy]
Tsukkomi Yousei Gips Nice Tsukkomi (NTK1 Ver.A) [Windy Fairy]


Clones promoted to working
--------------------------
Gunbalina (Japan, GNN1 Ver.A) [Peter Wilhelmsen, Samuel Neves, Guru, Windy Fairy]
Pop'n Music Mickey Tunes! [Windy Fairy, O. Galibert]


New systems marked not working
------------------------------
Bolsa Internacional (euro) [Javier Blanco Ojeda, ClawGrip]
Isshoni Wanwan Waiwai Puppy 2008 [Darksoft, MetalliC, rtw]
Kung Fu Pounda [SpinalFeyd, hammy]
Let's Get Kraken [SpinalFeyd, hammy]
Micro Computer Machines MCM/70 [Nigel Barnes, York University Computer Museum]
Nintendo 64 (PAL) [No-Intro]
Poker Spirit [hammy]
Psion Series 3 [Nigel Barnes, The Last Psion]
Pump It Up BIOS [ATR4X, Gergc, Pawprint infamouspat Ruubbinnexx, H4M573R, Angelo Salese, hammy]
Pump It Up: The 1st Dance Floor [ATR4X, Gergc, Pawprint infamouspat Ruubbinnexx, H4M573R, Angelo Salese, hammy]
Taiko no Tatsujin 11 (T111001-NA-A) [f205v]
Victory Shoot [hammy]
Wavetek 600 Cellular Activation Tester [Ryan Holtz, Leo Romo]
Yamaha PCS-30 [Edward d-tech]
Yamaha PS-400 [Guru]


New clones marked not working
-----------------------------
Ace Driver 3: Final Turn [Guru]
Acorn Computers Pocket Book [Nigel Barnes, The Last Psion]
Master Crane (set 2) [jordigahan]
Nandemo Seal Iinkai (ver 1.3) [twistedsymphony]
Nintendo Gateway 64 [Angelo Salese, David Silva]
Novo Play (V3.3H) [TeamEurope, f205v, Roberto Fresca]
Novo Play (V6.2H) [TeamEurope, f205v, Roberto Fresca]
Psion Series 3a (2M) (Russian) [MaFrance351]
Psion Series 3s [Nigel Barnes, The Last Psion]
Zankor (TMS5220 Italian speech) [PinMAME]


New working software list items
-------------------------------
gba:
  Apotris (v3.4.5) [akouzoukos]
  Commandos 2 (USA, prototype, 20021128) [DillyDylan, Forest of Illusion]
  Aero the Acro-Bat - Rascal Rival Revenge (Europe, prototype earlier) [LongwoodGeek, Forest of Illusion]
  AGB Aging Cartridge (World, version 7.0) [SmellyGhost, Forest of Illusion]
  AGB Aging Cartridge (World, version 9.0) [Suicune41, Forest of Illusion]
  Chokkan Hitofude Advance (Japan, prototype) [xprism, Forest of Illusion]
  Dark Eden (demo), Demon's Crest (prototype), Racing Gears Advance (USA, prototype, 20030922), Sea Boy (demo)
  [Ian Dunlop, Forest of Illusion]
  Manic Miner (Europe, 20030307), Uridium Advance (Europe, prototype, 20030307) [March42, Forest of Illusion]
  Mario Kart XXL (demo, 20040417), R3D-Demo V1 (Europe, demo) [Forest of Illusion]
  The Holy Bible - World English Bible (USA, prototype) [Gonz, Forest of Illusion]
  Ultimate Muscle - The Kinnikuman Legacy - The Path of the Superhero (USA, prototype, 20030429) [Zach Lambert, Forest of Illusion]
ibm5170_cdrom:
  Desert Strike & Jungle Strike (Europe), The Dig (USA), First Samurai (Europe), Jazz Jackrabbit (Europe),
  Jazz Jackrabbit (Europe, re-release), Jazz Jackrabbit 2 (Europe),
  Leisure Suit Larry's Greatest Hits and Misses! (Europe, re-release), Leisure Suit Larry's Greatest Hits and Misses! (USA),
  Links - The Challenge of Golf (USA), Loom (USA), Loom (USA, alt), Loom (USA, alt 2), Monkey Island Madness (USA) [redump.org]
msx1_cart:
  9918-veejing (v0.1b), 9918-veejing (v0.7b, Russian), veejingSX (v0.996b), veejingSX (v0.99b), veejingSX (v0.9b) [303bcn]
  Toss a Coin to your Witcher, UnidentifiedFlyingObject, Up Tack [cobinee]
  The Queen's Footsteps (v1.1.1) [Davide Bucci]
  The Circus Mystery (v1.3), The Cure (alt), The Lost Mines, The Love Plus Pack 0 (Korea, pirate), The Queen's Footsteps (v1.0),
  Safari X (Japan, The Links), Sasa (Japan, alt 2), Scramble Eggs (Korea), Sea Horse (Arab, v1.01), Sensha Game (20201128),
  Sensha Game (20210318), Shadow of the Pig (older), Shadow of the Pig (v1.2), Skooter (Arab), Snake, Snake It (Arab),
  Snake It (Japan, alt), Snoopy Town, Snowclimber, Snowclimber 2K, Space Shuttle - A Journey into Space (Japan),
  Speedjet Racers (demo), Sphere Redux, Sport Racer, Star Trek (Japan), Star Trek (Japan, alt), Star Wars (Arab, alt), Step (v1.1),
  Stevedore (demo), Stray Cat (MSX cartridge shop), Stupid Martians (v1.0), Subacuatic (alt), SubCommander (v1.00),
  SubCommander (v1.01), Super Bioman 1 (Korea), Super Bioman 1 (Korea, alt), Super Game 25 (Korea), Super Ilevan,
  Super Racer (Japan), Super Snake (Japan, alt 3), Supertripper (Spain, alt), T-Game 4, T-Game 4 (alt), Teki-Paki, Tekmo 400,
  Tiny Slot Checker (older), Traffic Jam (alt), Trail 2, Transball (v1.3.2?, English, alt), Trun (demo), TT Racer (Al Alamiah),
  Turfy (2016 version), Turfy (2019 version), Twin Hammer (Europe, alt), Twin Hammer (Europe, alt 2), Twinlight (alt), U-Do, U.F.O.,
  Universe Unknown, Universe Unknown (alt), Uridium, Uridium (alt), Uridium (alt 2), Uridium (alt 3), Utopia,
  Video Hustler (Japan, alt 2), Virus LPQ-79 (v1.00), Virus LPQ-79 (v1.10), Volguard (Japan, alt), Voyage to Mecca (Arab, alt 3)
  [file-hunter]
  MSX-PLAN (Japan), VVVVVV (unfinished) [hap]
  Tina's Adventure Island [hobbyretro]
  Stray Cat (10th anniversary) [Imanok]
  Tilez [MSX Resource Center]
  The Circus Mystery (v1.4), The Cure, The Mansion (English), The Mansion (Spanish), S.o.L.o. (English), S.o.L.o. (Spanish),
  Sacred Valley, Saimazoom (English), Saimazoom (Spanish), SD Sniper, Seleniak, Seleniak (alt), Shadow of the Pig (v1.3),
  Shadow Switcher, Shmup! (v1.0), Shmup! (v1.1), Shouganai (v1.0), Shouganai (v1.1), Sink King, Skate Air (English),
  Skate Air (Spanish), SKULLrs, Slender - The Camping (v1.0), Slender - The Camping (v1.1), Slime Center, Snail Maze,
  Soukoban Pocket Edition, Sp8 Invaders, Space Crussader (English), Space Crussader (Spanish), SpaceCat, SPC Super HOOPS,
  SquareBall, Stan, the Dreamer, Step (v1.2), Stratos (2004), Stratos (2005), Stray Cat, Stupid Martians (v1.1), Subacuatic,
  SubCommander (v1.02), Sudoku, T-Virus, Teki-Paki (beta), Teodoro no Sabe Volar (English), Teodoro no Sabe Volar (Spanish),
  Tiles of Shalom, Tomb of Genghis Khan, Tool Blocks, Tortilla Sunrise (English, v1.0), Tortilla Sunrise (English, v1.1),
  Tortilla Sunrise (Spanish, v1.1), Traffic Jam, Tragaperras (Spanish), Txupinazo!, Viking (English), Viking (Spanish),
  Virus LPQ-79 (v1.20) [MSXDev]
  Sensha Game (20211107) [ochixn]
  Twinlight [retrosouls]
  The Menace from Triton (v1.0.0), The Menace from Triton (v1.0.1), The Menace from Triton (v1.0.2), The Menace from Triton (v1.1),
  The Menace from Triton (v1.2), Tales of Popolon (English, v1.0), Tales of Popolon (English, v1.1),
  Tales of Popolon (English, v1.1.1), Tales of Popolon (English, v1.2), Tales of Popolon (English, v1.3),
  Tales of Popolon (English, v1.3.1), Tales of Popolon (Spanish, v1.2), Tales of Popolon (Spanish, v1.3),
  Tales of Popolon (Spanish, v1.3.1), Transball (v1.0, English), Transball (v1.0, Spanish), Transball (v1.0.1, Spanish),
  Transball (v1.1, English), Transball (v1.1, Spanish), Transball (v1.1.1, English), Transball (v1.1.1, Spanish),
  Transball (v1.2, English), Transball (v1.2, Spanish), Transball (v1.2.1, English), Transball (v1.2.1, Spanish),
  Transball (v1.3, English), Transball (v1.3, Spanish), Transball (v1.3.1, English), Transball (v1.3.1, Spanish),
  Transball (v1.3.2, English), Transball (v1.3.2, Spanish) [santiontanon]
oric1_cass: Bandit (Express Software), Base Mercure, Caspak, Dinky Kong [The Oric Site]
psion_ssd:
  PsionMan v1.3, Pyramid v1.0a [The Last Psion]
  Spreadsheet (Series 3) [zedstarr]
spectrum_cass:
  The Rocky Horror Show (Sound on Sound) [Luís Rato, Planeta Sinclair]
  S.O.S. no Paraíso [Planeta Sinclair]
  La Corona Magica, The Dragonstar Trilogy - Part I (Delta 4), The Dragonstar Trilogy - Part II (Delta 4),
  The Dragonstar Trilogy - Part III (Delta 4), Hormigas, Lenguaje Maquina - Spectrum №4, Lenguaje Maquina - Spectrum №10,
  Poli Diaz: El Potro de Vallecas (alt) [spectrumcomputing.co.uk]
  3D Combat Zone (Aackosoft), 3D Combat Zone (Profisoft), 3D Seiddab Attack (Aackosoft), Androide (pirate), Ant Attack (pirate),
  Van Driver (no loading screen) [Steven Brown, Planeta Sinclair]
  Tiny Slot Checker (v2), Tiny Slot Checker (v3.2) [tiny-yarou]
vsmile_cart:
  Bert & Ernie's Imagination Adventure (USA), Disney's Aladdin - Aladdin's Wonders of the World (USA),
  Disney/Pixar Ratatouille - Remy's New Recipes (USA), DreamWorks Shrek - Dragon's Tale (USA),
  Lil' Bratz Dressed Up - Friends, Fashion and Fun (USA), Nick Jr The Backyardigans - Viking Voyage (USA) [anonymous dumper]
x68k_flop: Mi ni Ikuzo! Hedgehog [ICEknight]


Software list items promoted to working
---------------------------------------
msx1_cart:
  Super Bros. World 1 (Korea) [file-hunter]
  A Life Planet - M36 - Mother Brain has been aliving (Japan) [Wilbert Pol]


New software list items marked not working
------------------------------------------
gba:
  The King of Fighters EX2 - Howling Blood (USA, prototype, 20030403), Paradroid (Europe, prototype, 20030320),
  Uridium Advance (Europe, prototype, 20020911), Uridium Advance and Paradroid 2 in 1 (Europe, prototype, 20030430)
  [March42, Forest of Illusion]
  Quake (demo) [Randy Linden, Forest of Illusion]
  Star Wars Trilogy - Apprentice of the Force (USA, prototype) [Rezrospect, Forest of Illusion]
msx1_cart: Tel-Tron (Netherlands) [file-hunter]
oric1_cass: 1815, Lone Raider (France) [The Oric Site]
n64_lodgenet:
  1080° Snowboarding, Donkey Kong 64, Dr. Mario 64, Excitebike 64 (USA), F-Zero X, Gauntlet Legends, Hydro Thunder,
  Kirby 64 - The Crystal Shards, The Legend of Zelda - Majora's Mask, The Legend of Zelda - Ocarina of Time, Mario Golf,
  Mario Kart 64, Mario Party 3, Mario Tennis, Midway's Greatest Arcade Hits Vol. 1, Mortal Kombat 4, The New Tetris, Paper Mario,
  Pilotwings 64, Pokémon Snap, Rampage 2 - Universal Tour, Ready 2 Rumble Boxing, Rush 2 - Extreme Racing USA, Star Fox 64,
  Star Wars - Rogue Squadron, Super Mario 64, Super Smash Bros., Virtual Chess 64, Virtual Pool 64, Wave Race 64, Yoshi's Story,
  eeerase [Forest of Illusion]


Merged pull requests
--------------------
- 11018: sinclair/sprinter.cpp: Added the Sprinter Sp2000 enhanced ZX Spectrum derivative. [holub]
- 11037: Added preliminary support for the Intel 440BX/PIIX4 chipset. [Angelo Salese]
- 11057: video/vrender0.cpp: Improved simulation of pipeline (fixes screen split in Donggul Donggul Haerong). [Angelo Salese]
- 11084: vgmplay.xml: Improved list description. [ArcadeShadow]
- 11108: heathkit/h89.cpp: Implemented more functionality, added new monitor ROMs, and expanded notes. [Mark Garlanger]
- 11127: sound/msm5232.cpp: Revised envelope generator based on capacitors seen in practice. [eito, TremiRodomi, O. Galibert]
- 11128: cpu/mips, sgi/sgi.cpp: Fixed MIPS3 PRID and memory controller RPSS issues. [Jiaxun Yang]
- 11140: bus/ata/gdrom.cpp: Fixed audio playback, TOC read, media status and ATA identify. [Angelo Salese]
- 11141: machine/t10mmc.cpp: Adjusted audio playback stop condition to fix music in Konami GV games (MT07184). [Angelo Salese]
- 11146: vectorgraphic/sbcvideo.cpp: Fixed color accuracy and addressing bugs. [Eric Anderson]
- 11148: namco/namcos10: Add decrypter for Mr. Driller G. [Samuel Neves, Peter Wilhelmsen, Windy Fairy]
- 11153: sound/msm5232.cpp: Fixed envelope when bits 1 and 2 of time value are set. [eito]
- 11154: gameboy.xml: Made asteroidp a clone of asteroid and cleaned up descriptions. [ArcadeShadow]
- 11155: namco/namcos10.cpp: Added decrypters for Taiko no Tatsujin 3 and 5. [Samuel Neves, Peter Wilhelmsen, Windy Fairy]
- 11157: bus/isa: Added IBM PS/2 speech adapter card. [Luigi30]
- 11158: bus/rs232/pty.cpp: Copied flow control code from null_modem.cpp. [Carl Drougge]
- 11160: seta/seta.cpp: Return zero for an apparently unmapped read address in extdwnhl (works around MT08614). [Angelo Salese]
- 11165: skeleton/bolsaint.cpp: Added a skeleton driver for Bolsa Internacional slot machine. [Javier Blanco Ojeda, ClawGrip]
- 11166: namco/namcos10.cpp: Added decrypted Point Blank 3 program code. [Windy Fairy, Guru]
- 11167: cpu/z80: Fixed incorrect cycle counts when custom cycle tables are used. [Wilbert Pol]
- 11171: cpu/i386: Use logmacro.h granular logging. [Luigi30]
- 11172: dec/vt100.cpp: Added a setting for phosphor color. [Carl Drougge]
- 11174: sega/megatech.cpp: Fixed some titles in comments. [ICEknight]
- 11175: formats/fs_hp98x5.cpp: Added file system handlers for HP9825, HP9831 and HP9845. [F.Ulivi]
- 11176: st_flop.xml: Use lowercase for descriptive text and avoid non-standard abbreviations in descriptions. [ArcadeShadow]
- 11177: Added preliminary driver and software list for LodgeNet Nintendo 64. [Forest of Illusion, David Silva, Angelo Salese]
- 11180: archimedes.xml: Cleaned up descriptions and moved some comments into notes elements. [ArcadeShadow]
- 11181: mobigo_cart.xml: Use lowercase for things that aren’t proper nouns in the list description. [ArcadeShadow]
- 11182: handheld/hh_sm510.cpp: Added Tronica Super Goal Keeper [algestam]
- 11184: x68k_flop.xml: Added the Mi ni Ikuzo! Hedgehog doujin game. [ICEknight]
- 11185: casio/cz101.cpp: Added MIDI ports and got the system booting fully. [Devin Acker]
- 11186: skeleton/bolsaint.cpp: Fixed copyright holders; atari/bzone.cpp: Added notes about Desert Wars screen overlay. [ClawGrip]
- 11188: heathkit/tlb.cpp: Add a ROM variant for the watz19 device. [Mark Garlanger]
- 11190: cpu/mcs51: Implemented UART as serial bit stream (fixes MT05495). [Patrick Mackinlay]
- 11191: bus/spectrum/neogs.cpp: Added SD Card support and v1.10.2 ROM. [holub]
- 11195: konami/firebeat: Rebuilt Pop'n Music disc images to use newly added DVD support. [Windy Fairy]
- 11196: stern/berzerk.cpp: Corrected frenzy release year to 1982. [David Haywood]
- 11197: abc806_flop.xml: Corrected CRC for Turbo disk image (fixes GitHub #11192). [ArcadeShadow]
- 11198: gameboy.xml, snes.xml: Don’t abbreviate name of Nintendo Power service. [ArcadeShadow]
- 11200: trs/coco12.cpp: Added BIOS options for Color Computer 1 and 2. [Tim Lindner]
- 11201: bus/msx/ctrl: Added support for Arkanoid Vaus controller. [Wilbert Pol]
- 11202: spectrum_cass.xml: Added sixteen working items and replaced three items with better dumps. [ArcadeShadow]
- 11205: konami/ksys573.cpp: Fixed CD region names, and corrected e-Amusement information. [Windy Fairy]
- 11206: atari/atarigt.cpp: Added input port definitions for newest version of Primal Rage. [halcyon00]
- 11207: dataeast/simpl156.cpp: Added work RAM mirroring for osman (affects the truck in the final stage). [David Haywood]
- 11209: snes.xml: Fixed release regions and parent/clone relationships for boxing games. [David Silva]
- 11210: namco/namcos10.cpp: Add MP3 decoder support to the MEM(P3) board. [Windy Fairy]
- 11211: taito/taito_f3_v.cpp: Corrected video RAM address mask (fixes regression on platforms in Bubble Symphony). [ywy]
- 11214: nes.xml: Use lowercase for descriptive text and avoid non-standard abbreviations in descriptions. [ArcadeShadow]
- 11216: msx: Refactored for standard layout and output usage. [Wilbert Pol]
- 11220: misc/nabupc_kbd.cpp: Fully emulated NABU PC keyboard. [Brian Johnson]
- 11221: sinclair/tsconf.cpp, pentevo.cpp: Added sound options and fixed I/O issues. [holub]
- 11222: bus/epson_qx: Added the QX-10 Commodity Quote graphics memory expansion board. [Brian Johnson]
- 11223: yamaha/ympcs30.cpp: Added skeleton driver for Yamaha PortaSound PCS-30 keyboard. [Edward d-tech, Devin Acker]
- 11225: skeleton/600cat.cpp: Added skeleton driver for Wavetek 600 Cellular Activation Tester. [Ryan Holtz, Leo Romo]
- 11226: cpc_cass.xml: Cleaned up descriptions. [ArcadeShadow]
- 11227: video/epic12.cpp: Fixed clipping for Cave CV1000 games. [buffi]
- 11228: atari/stkbd.cpp: Added mouse buttons. [Kelvin Sherlock]
- 11229: atari/stkbd.cpp: Added characters and default assignments for several keys. [Kelvin Sherlock]
- 11230: handheld/hh_sm510.cpp: Added Konami Teenage Mutant Ninja Turtles 3: Shredder's Last Stand. [algestam, Sean Riddle, Mr. Do]
- 11231: psikyo/psikyosh_v.cpp: Added notes about unconfirmed video register usage. [cam900]
- 11232: sound/mp3_audio.cpp: Added save state support for MP3 decoder. [Windy Fairy]
- 11235: msx1_cart.xml: Added 100 items (99 working). [Wilbert Pol]
- 11238: bus/ata/atapicdr.cpp, bus/scsi/scsicd.cpp: Set CDDA media image on device reset. [Windy Fairy]
- 11240: yamaha/ympsr150.cpp: Added the Yamaha PSR-190 keyboard. [Edward d-tech, Devin Acker]
- 11241: formats/fs_coco_rsdos.cpp: Fixed the directory entry count. [Tim Lindner]
- 11242: misc/compucranes.cpp: Dumped and added another crane game from a V7 PCB. [jordigahan, ClawGrip]
- 11243: misc/rawthrillspc.cpp: Use Compaq BIOS found on original machines. [jordigahan, Recreativas.org, ClawGrip]
- 11244: namco/ns10crypt.cpp: Added partial decrypter for Point Blank 3. [Peter Wilhelmsen, Samuel Neves, Windy Fairy]
- 11247: misc/rawthrillspc.cpp: Fixed doodlejmp BIOS ROM label. [ClawGrip]
- 11248: sinclair/tsconf.cpp: Finalized the list of registers needing delayed updated and fixed graphics page padding. [holub]
- 11249: Fixed several reported BGFX and Direct3D 9 renderer issues (GitHub #11104, #11106 and #11107). [Ryan Holtz]
- 11250: Cleaned up logging across the codebase (GitHub #10183). [Ryan Holtz]
- 11255: n64.xml: Updated compatibility notes. [Angelo Salese, Happy]
- 11258: ibm5170_cdrom.xml: Added thirteen working items. [redump.org, ArcadeShadow]
- 11259: cpu/m6809: Set V flag on undocumented XDEC instruction. [Tim Lindner]
- 11260: gba.xml: Added 21 prototypes (fifteen working). [Forest of Illusion, David Silva]
- 11261: yamaha/ymps400.cpp: Added a skeleton driver for the Yamaha PS-400 keyboard. [Guru, Devin Acker]
- 11262: dataeast/kchamp.cpp: Added a newly dumped US version of Karate Champ. [Museo Arcade Vintage, ClawGrip]
- 11264: apple/apple2gs.cpp: Fixed RAM mapping for ROM1 machines. [Kelvin Sherlock]
- 11265: oric1_cass.xml: Added six items (four working). [The Oric Site, ArcadeShadow]
- 11266: msx1_cart.xml: Add 76 working items. [Wilbert Pol]
- 11268: handheld/hh_sm510.cpp: Added Konami Teenage Mutant Ninja Turtles: Basketball. [algestam, Sean Riddle, Mr. Do]
- 11269: vsmile_cart.xml: Added USA releases of six games. [anonymous dumper, ClawGrip]
- 11270: handheld/hh_sm510.cpp: Fixed LCD segments for ktmntbb. [hap, algestam]
- 11272: dataeast/kchamp.cpp: Marked kchamp2p as a clone of kchamp. [ClawGrip]
- 11275: namco/namcos10.cpp: Reset settings area for taiko3 and taiko5. [David Haywood]
- 11277: sinclair/tsconfdma.cpp: Fixed burst transfers. [holub]
- 11280: imagedev/midiin.cpp: Fix error condition handling so MIDI files can be loaded again. [Devin Acker]
- 11281: namco/namcos10.cpp: Calibrated light guns for Point Blank 3 and Gunbalina. [David Haywood]


Source changes
--------------
-namco/namcos10.cpp: Dumped CDs for taiko3 and taiko5. [f205v]

-diserial: Add machine time to bit logging messages [AJR]

-wicat: Add MCU dump and LLE of keyboard; update layout to include keyboard LEDs [AJR, Bitsavers]
 * im6402: Remove ugly hack to force bits into receiver and make it work the normal way instead

-softlist_dev.cpp: Validate characters in software list names [AJR]

New clones marked as NOT_WORKING
--------------------------------
Novo Play (V6.2H) [TeamEurope, f205v, Roberto Fresca]
Novo Play (V3.3H) [TeamEurope, f205v, Roberto Fresca]

-namco/namcos10.cpp: Updated notes. [Vas Crabb]

-capcom/cps1.cpp:documentation update for chikij and nemoj [Manimani, Bonky, Brian Troha]

-psikyo/psikyosh.cpp: dumped masked ROMs and pals for s1945iiibla [twistedsymphony, Brian Troha]

-m88000: fix interrupts [Patrick Mackinlay]
 * optimize shadow register update

-tbonusal: Add working sound (replacing nonfunctional ADPCM) [AJR]

-msm5232: revise caps and resistors values [Yaei, TremiRodomi] (#11127) [Olivier Galibert]

-namco/namcos10.cpp: Add decrypter for Mr. Driller G. (#11148) [Samuel Neves, Peter Wilhelmsen]

Systems promoted to working
---------------------------
Mr. Driller G (Japan, DRG1 Ver.A) [Samuel Neves, Peter Wilhelmsen, Windy Fairy]

New working machines
--------------------
Burger Kids (Japan) [Phil Bennett]

-Change burgkids year to 1995 (nw) [Philip Bennett]

New working clones
------------------
Mega Card (Ver.0053, encrypted) [TeamEurope, f205v, Roberto Fresca]

New working clones
------------------
Jolly Joker (original program, interleaved GFX, Otti Karl logo, set 1) [TeamEurope, f205v, Roberto Fresca]
Jolly Joker (original program, interleaved GFX, Otti Karl logo, set 2) [TeamEurope, f205v, Roberto Fresca]

-Added default NVRAM to Jolly Joker (Otti Karl logo) sets. [Roberto Fresca]

-toaplan/toaplan2.cpp: minor documentation updates [Brian Troha]

New systems marked not working
------------------------------
Ace Driver 3: Final Turn [Guru]

-tkingkong: fix buttons vertigo: 1 variable was not zerofilled (not important) [hap]

-royalmah: zerofill class variables [hap]

-namcos10: panicuru->panikuru [hap]

-mjsenka: put decrypted rom in its own region [hap]

-nss: zerofill class variables, get rid of conflict with snes_state::m_wram [hap]

New clones marked as NOT_WORKING
--------------------------------
Jolly Game (V1, Otti Karl logo) [TeamEurope, f205v, Roberto Fresca]

-Jolly Game (V1, Otti Karl logo): Added default NVRAM. Promoted to working. [Roberto Fresca]

-taptun: fix adapter detection on windows for newer versions of taptun driver [Patrick Mackinlay]

-m88000: fix subtraction borrow out [Patrick Mackinlay]

Systems promoted to working
---------------------------
Omron Luna 88k² [Patrick Mackinlay]

-megatech: swap screens in default view [hap]

new NOT_WORKING machine
-----------------------
Isshoni Wanwan Waiwai Puppy 2008 [Darksoft, MetalliC, rtw]

-tripool: add 3 more buttons and some dipswitches [hap]

-Corrected capalisation of "SpongeBob SquarePants" and "SpongeBob Schwammkopf" in various software lists. [Vas Crabb]

-machine/t10mmc.cpp: track command 48h just plays track when TNO start == TNO end (#11141) [Angelo Salese]
 * fix redbook silent regression with konami/konamigv.cpp

-wicat: Enable underline cursor; reduce VIA clock [AJR]

-Jolly Joker (Otti Karl logo) sets: Added missing PLDs. [TeamEurope, Porchy]

-Super Card: Added notes to the driver. [Roberto Fresca]

-Mega Card (Ver.0053, encrypted): Added missing PLD. Analyzed and confirmed the bipolar PROM dump.
 [TeamEurope, Porchy, Roberto Fresca]

-Mega Card (Ver.0053, encrypted): Bipolar PROM location. [Roberto Fresca]

-mpc106: map RAM and ROM into PCI memory space for PCI DMA. [R. Belmont]

-Use correct attack/decay time nominal value when the lower 3 bits of attack/decay time data are 0x6 or 0x7. (#11153) [eito]

-namco/namcos10: Add decrypters for Taiko no Tatsujin 3 and 5 (#11155) [987123879113]
 * namco/namcos10: Add decrypter for Taiko no Tatsujin 3 and Taiko no Tatsujin 5 [Samuel Neves, Peter Wilhelmsen]
 * namco/namcos10: Clean up constants

-namco/namcos10.cpp: Redumped gamshara Flash ROM at 8E. [Bill D.]

Systems promoted to working
---------------------------
Gamshara (20020912A / 10021 Ver.A) [Bill D.]

-hng64: Add ROM banking for network CPU; improve RAM mapping and figure out where COM20020 would be mapped [AJR]

-altos2: Add dump and emulation of keyboard [AJR, Bitsavers]

-altos2_kbd: Fix 3 & 6 on keypad [AJR]

-video/vrender0.cpp: More accurate VRender0 pipeline inner workings (#11057) [Angelo Salese]
 * Fixes donghaer split screen;

-namco/namcos10.cpp: Set unscrambler in machine configuration. [Vas Crabb]
 * This further reduces the places that need to be touched for adding a decryption setup.

-kpython.cpp: Fix CPU endianness and BIOS loading [AJR]

-Miscellaneous SCSI adjustments [AJR]
 * cdd2000: Hook up SCSI IRQ
 * s550, w30: Add CD-ROM to SCSI device list

-microsoft/xbox.cpp: fix BIOS naming [Angelo Salese]

New machines marked as NOT_WORKING
----------------------------------
mc-68000-Computer [Dirk Best, Klaus Loy]

-Move mccpm to mc folder [Dirk Best]

New working clones
------------------
WWF Superstars (bootleg with 2xYM2203) [anonymous]

-gameboy.xml: Use lowercase for descriptive text in descriptions. (#11154) [ArcadeShadow]
 * Also marked asteroidp as a clone of asteroid.

-bus/rs232/pty.cpp: Copied flow control code from null_modem.cpp (#11158) [Carl Drougge]

-vectorgraphic/sbcvideo.cpp: Fix color accuracy and addressing bugs. (#11146) [Eric Anderson]

-Trivial cleanup. [Vas Crabb]

New clones marked not working
-----------------------------
Zankor (TMS5220 Italian speech) [PinMAME]

-seta/seta.cpp: workaround extdwnhl ending crash (#11160) [Angelo Salese]

-kpython: Change CPU to PS/2 Emotion Engine [AJR]

-nintendo/n64.cpp: minor cleanups [angelosa]

-namco/namcos10.cpp: Added decrypted Point Blank 3 program code. (#11166) [Windy Fairy, Guru]
 * Also hooked up light guns.

Systems promoted to working
---------------------------
Point Blank 3 (World, GNN2 Ver.A) [987123879113]

Cloned promoted to working
--------------------------
Gunbalina (Japan, GNN1 Ver.A) [987123879113]

-cpu/mips, sgi/sgi.cpp: Fixed MIPS3 PRID and memory controller RPSS issues: (#11128) [Jiaxun Yang]
 * cpu/mips3: Report proper fcr0 PRID (same as CPU PRID in most cases).
 * cpu/mips3: Bumped major rev of R4600 PRID to 2 (original R4600 was too problematic so almost all systems are shipped with R4600
    rev 2.0).
 * sgi/indigo.cpp, sgi/indy_indigo2.cpp: Supply clock frequency for memory controller.
 * sgi/indigo.cpp, sgi/indy_indigo2.cpp: Corrected CPU clock frequencies.
 * sgi/sgi.cpp: Reimplemented memory controller RPSS taking clock frequency into account and without using a timer.

-skeleton/bolsaint.cpp: Added a skeleton driver for Bolsa Internacional slot machine (Sleic/Petaco). (#11165) [ClawGrip]

New systems marked not working
------------------------------
Bolsa Internacional (euro) [Javier Blanco Ojeda, ClawGrip]

-vgmplay.xml: Changed list description to reflect the nature of the files. (#11084) [ArcadeShadow]

-cpu/i386: Use logmacro.h granular logging. (#11171) [Luigi Thirty]

-machine/mpc106.cpp: properly endian-swap PPC/PCI transactions, support LE PPC, use logmacro. [R. Belmont]
 * apple/bandit.cpp: properly endian-swap PPC/PCI transactions, use logmacro. [R. Belmont]
 * apple/heathrow.cpp: interrupt controller filled out, audio CODEC interface defined, added audio DMA channels. [R. Belmont]
 * apple/dbdma.cpp: New device, a single Descriptor Based DMA channel. [R. Belmont]
 * apple/awacs_macrisc.cpp: New device, the AWACS and Screamer CODECs in their MacRISC compatible form. [R. Belmont]
 * apple/burgundy.cpp: New device, MacRISC compatible CODEC used in the iMac G3 and "Blue & White" G3.
 * apple/imacg3.cpp: Boot chime now plays. [R. Belmont]
 * apple/powermacg3.cpp: Boot chime now plays. [R. Belmont]

-apple/awacs_macrisc: fix GCC 13.1 warning. [R. Belmont]

-Support GCC 13.1 / Fedora 38 [R. Belmont]

-concept/concept.cpp: Fix collision with "concept" reserved word in C++20 warned by GCC 13. [R. Belmont]

-Fixed another warning, a full compile now completes with GCC 13.1. [R. Belmont]

-dec/vt100.cpp: add setting for phosphor color. (#11172) [Carl Drougge]

-mc68000: Add expansion bus and ram card [Dirk Best]

-Fixed some titles in the sega/megatech.cpp: Fixed some titles in comments. (#11174) [ICEknigh7]

-cpu/z80: Fixed incorrect cycle counts when custom cycle tables are used. (#11167) [wilbertpol]
 * bus/msx/module/skw01.cpp: Removed note about instability in the cx5m128 driver.

Software list items promoted to working
---------------------------------------
msx1_cart.xml: A Life Planet - M36 - Mother Brain has been aliving (Japan) [wilbertpol]

-ui: Don't use facets of destructed locales. [Vas Crabb]

-wy60: Add keyboard emulation and cursor [AJR]

-wysekbd: There are two slightly different Enhanced PC-style keyboards [AJR]

-mc68000: Add floppy support [Dirk Best]

-wysekbd: Note [AJR]

-Fix bindings of Esc and Ins Char/Line on WY-60 ASCII keyboard [AJR]

-mn1400: add disassembler [hap]

-powerpc: added 740 and 750 models to give the correct IDs. The 740/750 extended TLB is not yet supported. [R. Belmont]
 * apple/imacg3.cpp, powermacg3.cpp: Use PPC750 model and set strictest DRC options.  Execution now goes much farther. [R. Belmont]
 * apple/pippin.cpp: Use strictest DRC options.  Execution goes farther. [R. Belmont]

-wy60: Add character attributes [AJR]

New working machine added (#11182)
----------------------------------
Tronica: Super Goal Keeper [algestam]

New systems marked not working
------------------------------
Kung Fu Pounda [Spinalfeyd, Hammy]
Let's Get Kraken [Spinalfeyd, Hammy]

New working clones
------------------
Street Fighter II': Champion Edition (World 920803) [playero]

-maxaflex: add pwm_display for 7segs [hap]

-mc68000: Centronics support [Dirk Best]

-conchess: replace "conchess t8" with original dump [hap]

-3rdparty/lzma: Updated to LZMA SDK version 22.01 [Vas Crabb]

-util/unzip.cpp: Update for latest LZMA SDK. [Vas Crabb]

-chd: Add dvd support. better abstraction in general, multi-image support in arcade-type drivers [Olivier Galibert]

-diexec: Input line methods can't be called reliably until the device has started, so assert that it has [AJR]

-3rdparty/nanosvg: Re-base on latest upstream. [Vas Crabb]
 * Now based on upstream 9da543e8329fdd81b64eb48742d8ccb09377aed1.
 * This fixes some issues with abbreviate path commands, gradients, and locale sensitivity when parsing percentace-style colours.

-casio/cz101.cpp: Added MIDI I/O and got it booting fully. (#11185) [Devin Acker]

-cpu/upd7810: Added support for externally clocked serial mode. [Devin Acker]

-mobigo_cart.xml: Use lowercase for things that aren't proper nouns in list description. (#11181) [ArcadeShadow]

-Fix validation after 28104cdbdfc39b0ced6411381ffb074772dce345 [AJR]

-bitgraph.cpp: Replace generic serial keyboard with more fitting device [AJR]

-mc68000: Serial support [Dirk Best]

-atari: make the dvdrom drives be dvdroms firebeat: target the correct device in the rom regions [Olivier Galibert]

-cdrom: Bunch of fixes [Olivier Galibert]

-chdman: Add extractdvd command [Olivier Galibert]

-csplayh5: rename to hrdvd (High Rate DVD) t10mmc: make a little les chatty tmp68301: same hrdvd: fix the image regions
 [Olivier Galibert]

-hrdvd: Make the initial dvdrom test pass [Olivier Galibert]

-mc68000: Support PC keyboards, promote to working [Dirk Best]

Systems promoted to working
---------------------------
mc-68000-Computer [Dirk Best]

-atapicdr, cdromimg: Fix gdrom support [Olivier Galibert]

-xbox_nv2a.cpp: worked around another GCC 13.1 error. [R. Belmont]

-osdlib.h: Add missing #include [AJR]

-kaypro.cpp: Add screen raw parameters [AJR]

-stern/berzerk.cpp: Correct frenzy year to 1982. (#11196) [David Haywood]
 * All sources seem to suggest a June/July 82 release date, and the title screen shows 82.

-atari/bzone.cpp, skeleton/bolsaint.cpp: Updated comments. (#11186) [ClawGrip]
 * skeleton/bolsaint.cpp: Fix copyright holder. atari/bzone.cpp: Add notes about Desert Wars blue overlay.

-konami/hcastle.cpp: Fixed work RAM banking and coin counter mapping. [Jotego, R. Belmont]

-bus/isa: Added IBM PS/2 speech adapter card. (#11157) [Luigi Thirty]

-mn1400: add device skeleton [hap]

-kaypro.cpp: Add RTC to '84-type systems [AJR]

-konami/hcastle.cpp: fix missing return. [R. Belmont]

-archimedes.xml: Metadata cleanups (#11180) [ArcadeShadow]
 * archimedes.xml: Metadata cleanups
   - Lowercase on descriptive words ("Demo", "Alt")
 * Update archimedes.xml
   - Moved relevant software comment to notes tag

-abc806_flop.xml: Update CRC value (#11197) [ArcadeShadow]
 * Update CRC value (missing first character) on "cpm_turbo.img" file

-hh_mn1400: add skeleton driver [hap]

New systems marked not working
------------------------------
Computer Perfection [hap, Sean Riddle]

-hcastle: simplify ram banking [hap]

-mn1400: add mn1405 device [hap]

New clones marked not working
-----------------------------
Scrabble Lexor: Computer Word Game (MN1405 version) [hap, Sean Riddle]

-mn1400: add pinout reference [hap]

-mn1400: add opcode placeholders [hap]

-mn1400: add most opcodes [hap]

-konami/firebeat: Update pop'n music to use DVD CHDs + add clones for popnanm and popnanm2 to allow for working license and expire
 license modes (#11195) [987123879113]

-zr36110: Add skeleton hrdvd: Hook up the mpeg chip [Olivier Galibert]

-video/zr36110.h: fix compile [Angelo Salese]

-mn1400: add i/o ports [hap]

-twin16.cpp: Correct polarity of uPD7759 ST line writes [AJR]

-mcs51: implement serial input/output as bit stream (#11190) [Patrick Mackinlay]
 * fix [MT#05495](https://mametesters.org/view.php?id=5495)

-Adjustments to option priority interactions: [Vas Crabb]
 * emu/sound.cpp: Made -volume in source file INI or higher priority context take precedence over volume read from CFG file.  This
    matches behaviour of -bgfx_screen_chains.
 * emu/input.cpp: Made explicit -no{mouse|joystick|lightgun} take precedence over -{mouse|trackball|adstick|paddle}_device etc. from
    lower priority levels.
 * Alos got rid of a bunch of unnecessary simple_list.

-atari/mhavoc.cpp: consolidated driver in single file [Ivan Vangelista]

-galaxian/galaxian.cpp: fixed MT08630 [johnmcallister]

-taito/taitosj.cpp: fixed MT08631 [johnmcallister]

-mc68000: IO cleanup [Dirk Best]

-nintendo/n64_gateway.cpp: New driver and software list submission [Foxhack, Angelo Salese] (#11177) [David 'Foxhack' Silva]

New software list items marked not working
------------------------------------------
n64_lodgenet.xml: 1080° Snowboarding, Donkey Kong 64, Dr. Mario, Excitebike 64, F-Zero X, Gauntlet Legends, Hydro Thunder, Kirby 64
  - The Crystal Shards, The Legend of Zelda - Majora's Mask, The Legend of Zelda - Ocarina of Time, Mario Golf, Mario Kart 64, Mario
  Party 3, Mario Tennis, Midway's Greatest Arcade Hits Vol. 1, Mortal Kombat 4, The New Tetris, Paper Mario, Pilotwings 64, Pokémon
  Snap, Rampage 2 - Universal Tour, Ready 2 Rumble Boxing, Rush 2 - Extreme Racing USA, Star Fox 64, Star Wars - Rogue Squadron,
  Super Mario 64, Super Smash Bros., Virtual Chess, Virtual Pool 64, Wave Race 64, Yoshi's Story [Forest of Illusion]

-st_flop.xml: Metadata cleanups (#11176) [ArcadeShadow]
 * Replaced regions abbreviation by their full name ("Euro", "Swe")
 * Lowercase to descriptive word "Rev."

-ata/gdrom.cpp: overhaul (#11140) [Angelo Salese]
 * ata/gdrom.cpp: Fix READ_TOC command, improve logging, add redbook playback & repeat, add basic CD status;
 * ata/gdrom.cpp: fix loopchk Maker/Model identify ATA command 0104;
 * ata/gdrom.h: flip is_ready() to true, fixes several hangs (cfr. hash/dc.xml)
 * sound/aica.cpp: fix EXTS[1] routing;
 * sega/dccons.cpp: fix dcfish gdrom region hookup regression;

-namco/namcops2.cpp: dumped firmware updater CD for taiko7 [f205v]

-zxbus/neogs: sdcard support (#11191) [holub]
 * zxbus/neogs: sdcard support

-image: Fix initialisation order, fix file menu enable, refine gdrom support [Olivier Galibert]

-Remove stray fprintf [Olivier Galibert]

-mainevt, tmnt: Correct polarity of uPD7759 ST line writes [AJR]

Clones promoted to working
--------------------------
Scrabble Lexor: Computer Word Game (MN1405 version) [hap, Sean Riddle]

New systems marked not working
------------------------------
Basketball (Tomy) [hap, Sean Riddle]

-bus/msx/ctrl: Added Arkanoid Vaus controller. (#11201) [wilbertpol]

-capcom/cps3.cpp: fixed CD-ROM detection [Windy Fairy]

-gameboy.xml; snes.xml: Change NP abbreviation (#11198) [ArcadeShadow]
 * Change the "NP" abbreviation by "Nintendo Power service"

-x68k_flop.xml: Added Mi ni Ikuzo! Hedgehog doujin. (#11184) [ICEknigh7]
 * One of the first Sonic fan games, made by Kiyoshi Sakai of Umihara Kawase fame.

New working software list items
-------------------------------
x68k_flop: Mi ni Ikuzo! Hedgehog [ICEknigh7]

-sgi: add 4D keyboard low-level emulation [Bitsavers]

-namco/namcops2.cpp: redumped taiko8' s DVD (data SHA1 matches the older dump) and converted it to CHD with the new createdvd option
 [f205v]

-frontend/mame/audit.cpp: Work around issues when no ROMs are shared with immediate parent (MT08625). [Vas Crabb]
 * The issue occurred when a system with no ROMs or only bad dumps had an immediate parent with no ROMs in common.  This is another
    thing broken by the attempts to hide "missing" ROM sets from audits.

-spacegun: add maximum quantum [hap]

-image: Executive decision: disk regions used the owner name (e.g., no :image) [Olivier Galibert]

-UI refinements/fixes: [Vas Crabb]
 * ui/filemngr.cpp: For an empty media device, look for another device with a mounted software item that has compatible parts before
    falling back to the file manager.  This is useful when mounting a multi-part item via the menus, or for a system like the X68000
    with multiple drives where the boot disk remains mounted but another application disk is automatically ejected when you're
    prompted for the next disk.
 * ui/datmenu.cpp: Don't assume mounted images are always from software lists (fixes MT08620), and take the first image mounted from
    a software list rather than the last.
 * bus/s100: Got rid of simple_list.

-hash/dc.xml: update QA notes [angelosa]

-kinst: correct pixel clock [Guru]

-simpl156.cpp - add workram mirror for osman (needed for truck in final stage) (#11207) [David Haywood]

-simpl156: add base memorymap [hap]

-konami/ksys573: Fix CD region names + fix e-amusement CDs (#11205) [987123879113]

-88games, combatsc: Correct polarity of uPD7759 ST line writes [AJR]
 * combatsc: Correct main CPU type (and clock)

New systems marked not working
------------------------------
Taiko no Tatsujin 11 (T111001-NA-A) [f205v]

-trs/coco12.cpp: add -bios options to Color Computer 1 & 2 (#11200) [tim lindner]
 * Removed drivers that existed only to select BASIC versions

-hash/n64.xml: bulk replace supported for all entries to no nintendo/aleck64.cpp, nintendo/n64.cpp: re-enable option for -drc
 [angelosa]

-sega/powervr.cpp: fix MT#8088 [angelosa]

-sega/powervr2.cpp: move block around [skip ci]

-x68k.cpp: Hook up SCSI DMA channel [AJR]

-vic1001_cart.xml: Marked software as not supported where appropriate. (MT#7346) [Curt Coder]

-taito/taito_f3_v.cpp: fix vram wrap width (bubble symphony platforms) (#11211) [ywy]
 * corrects mistake introduced by 819a5c4

-mb87030: Make DMA transfers go through DREG rather than separate single buffer [AJR]

-snes.xml: Marked Chavez games as clones of Riddick Bowe Boxing and Boxing Legends of the Ring. (#11209) [David 'Foxhack' Silva]

-heathkit/tlb.cpp: Added a ROM variant for the watz19 device. (#11188) [Mark Garlanger]
 * Also fixed DIP switch settings for super19 and watz19, ad simplified Ultra 19 memory map.

-sinclair/sprinter.cpp: Added Sprinter Sp2000 enhanced Spectrum clone. (#11018) [holub]
 * cpu/z80:  Added support for variants with address translation and implemented Z84C015 chip selects.

New working clones
------------------
Peters Plus, Ivan Mak Sprinter Sp2000 [holub]

-atari/atarigt.cpp: Added input definitions for newest version of Primal Rage. (#11206) [halcyon00]
 * The latest 2.3 version has dedicate start buttons.

-atari/atarigt.cpp: Deal with 'temporary' INPUT_PORT_OVERRIDE_FULLY_NUKES_PREVIOUS still being set. [Vas Crabb]

-atari/gauntlet.cpp, atari/jedi.cpp: consolidated drivers in single files [Ivan Vangelista]

-adam_spi: Hook up EPCI to CPU and RS-232 port [AJR]

-hrdvd: rename dvds, notice that the csplayh7 image was incorrect (it was nb8012, e.g. pokoachu [Olivier Galibert]

-xt446: fix typo [Olivier Galibert]

New systems marked not working
------------------------------
Poker Spirit [Hammy]

New systems marked not working
------------------------------
Victory Shoot [Hammy]

-taito/vicshoot.cpp: verified resonator value and pin 7 state for the OKIs [Hammy]

-video/epic12.cpp: Fix clipping of CV1K games (#11227) [buffi]
 * Change clipping for CV1K games to draw 32 pixels surrounding the visible area.
 * This can be easily seen in Muchi Muchi Pork, which has a VRAM viewer in Special mode (Object Test), which will show 32 px drawn
    around the visible areas of framebuffers.
 * For most gamers, this wont really matter at all... except for in Muchi Muchi Pork, where changing this actually fixes a bug for
    Rafute.
 * When Bombing with Rafute, the screen background will go wavy in a sine-like pattern. Currently in mame, the top of screen will
    show black pixels when this happens.
 * With this fix for clipping, the background will instead be visible correctly.
 * Also renamed the "scroll registers" to have it more clear which one of these are actually used as a "scroll register" (or rather
    offset for drawing), and which one is strictly used for clipping.

-Skeleton driver for 600 Cellular Activation Tester (#11225) [MooglyGuy]

New systems marked not working
------------------------------
600 Cellular Activation Tester [Ryan Holtz, Leo Romo]

-m6801.cpp: Fixed HD6303R to use an internal map, removed internal-only handlers from associated drivers. [Ryan Holtz]

-video.cpp: Raised maximum prescale value to 20 to account for very small LCDs. [Ryan Holtz]

-screen.cpp: Replaced old MCFG_ references in a warning message with member function names. [Ryan Holtz]
 * -timekpr: Added Dallas DS1643, a clone of the STMicro M48T58. [Ryan Holtz]

-x68k: fix bg layer positioning and another layer selection case [cracyc]

-machine/opti82c861.cpp: Skeleton for OPTi 82C861 PCI USB OHCI controller. [R. Belmont]

-x68k_crtc: fix Clang compile. [R. Belmont]

-apple2e: IIe does not have IOUDIS, only IIc/IIc Plus. [R. Belmont, TomCh]

-igt/peplus.cpp: added CAPX2552 ROM, updated comments [Brian Troha]

-namco/namcos23.cpp: updated Gorgon hardware info [Guru]

-lastfght.cpp, subsino2.cpp: Create new device for I/O ports [AJR]

-ds2430a: Silence logging [AJR]

-subsino2.cpp: Correct silly mistake [AJR]

-hash/n64.xml: QA for crashes [angelosa]

New systems marked not working
------------------------------
Nintendo 64 (PAL) [NoIntro]

-nintendo/n64_v.cpp: implement interlace mode [angelosa]

-New working machine added (#11230) [algestam]

New working machine added
-------------------------
Teenage Mutant Ninja Turtles 3: Shredder's Last Stand (Konami handheld) [algestam, Sean Riddle, Mr. Do]

-nintendo/aleck64.cpp: fix compile [angelosa]

-formats/fs_hp98x5.cpp: Added filesystem handlers for HP9825, HP9831 and HP9845. (#11175) [fulivi]

-spectrum.cass.xml: Added 16 working items and replaced three items with better dumps. (#11202) [ArcadeShadow]
 * Also corrected some parent/clone relationships, publishers and years based on information on spectrumcomputing.co.uk.

New working software list additions
-----------------------------------
3D Combat Zone (Aackosoft) [Steven Brown, Planeta Sinclair]
3D Combat Zone (Profisoft) [Steven Brown, Planeta Sinclair]
3D Seiddab Attack (Aackosoft) [Steven Brown, Planeta Sinclair]
Androide (pirate) [Steven Brown, Planeta Sinclair]
Ant Attack (pirate) [Steven Brown, Planeta Sinclair]
Hormigas [spectrumcomputing.co.uk]
La Corona Magica [spectrumcomputing.co.uk]
Lenguaje Maquina - Spectrum №4 [spectrumcomputing.co.uk]
Lenguaje Maquina - Spectrum №10 [spectrumcomputing.co.uk]
Poli Diaz: El Potro de Vallecas (alt) [spectrumcomputing.co.uk]
S.O.S. no Paraíso [Planeta Sinclair]
The Dragonstar Trilogy - Part I (Delta 4) [spectrumcomputing.co.uk]
The Dragonstar Trilogy - Part II (Delta 4) [spectrumcomputing.co.uk]
The Dragonstar Trilogy - Part III (Delta 4) [spectrumcomputing.co.uk]
The Rocky Horror Show (Sound on Sound) [Luís Rato, Planeta Sinclair]
Van Driver (no loading screen) [Steven Brown, Planeta Sinclair]

Redump
------
Lenguaje Maquina - Spectrum №1 [spectrumcomputing.co.uk]
Merlin (Adventure Workshop) [Luís Rato, Planeta Sinclair]
Jason of the Argonauts (Adventure Workshop) [Luís Rato, Planeta Sinclair]

-Fix Parent/CloneOf relationships, Publishers and Years (information provided by spectrumcomputing.co.uk) [ArcadeShadow]

-nes.xml: Cleaned up descriptions. (#11214) [ArcadeShadow]
 * Fixed capitalisation and replaced abbreviations.

-nintendo/n64.cpp: fix regression [angelosa]

-msx: Refactored to standard layout and output usage. (#11216) [wilbertpol]
 * Made separate layout files per 'region' and drive count, and simplified the code for LED outputs.

-yamaha/ympcs30.cpp: Added skeletop driver for Yamaha PCS-30 (#11223) [Devin Acker]

New systems marked not working
------------------------------
Yamaha PCS-30 [Edward d-tech]

-gba.xml: Added Apotris. [Vas Crabb]

New working software list items
-------------------------------
gba: Apotris (v3.4.5) [akouzoukos]

-dragrace: Add raw parameters for screen and correct IRQ timing [AJR]

-namco/namcos10.cpp: Add MP3 decoder support to the MEM(P3) board. (#11210) [987123879113]
 * 3rdparty/minimp3: Update to latest source (afb604c06bc8beb145fecd42c0ceb5bda8795144).
 * sound/mp3_audio.cpp: Add helper class to decode MP3 frame data, abstracting away minimp3 from devices.
 * sound/lc82310.cpp: Added basic Sanyo LC82310 MP3 decoder emulation.
 * namco/namcos10.cpp: Fixed light gun inputs for Golgo 13: Juusei no Requiem.

Systems promoted to working
---------------------------
Golgo 13: Juusei no Requiem (Japan, GLT1 VER.A) [987123879113]
Tsukkomi Yousei Gips Nice Tsukkomi (NTK1 Ver.A) [987123879113]
Seishun-Quiz Colorful High School (CHS1 Ver.A) [987123879113]

-sound/mp3_audio: Implement save states for MP3 decoder (#11232) [987123879113]

-psikyo/psikyosh_v.cpp: Add notes for VREG usage (#11231) [cam900]

-atari/foodf.cpp: consolidated driver in single file [Ivan Vangelista]

-hash/kpython2.xml: redumped drmnv3's update DVD (data SHA1 matches the older dump) and converted it to CHD with the new createdvd
 option [f205v]

-subsino_io.cpp: Fix out-of-bounds accesses [AJR]

-hrdvd: fix csplayh4 dvd image, re-add correct csplayh7 image [Olivier Galibert]

-hrdvd: Put the chd checksum, not the data checksum [Olivier Galibert]

-atari/eprom.cpp, atari/firetrk.cpp: consolidated drivers in single files [Ivan Vangelista]

-cpc_cass.xml: Metadata cleanups (#11226) [ArcadeShadow]
 * Replaced countries' abbreviation by their full name.
 * Lowercase on descriptive words (like: "Alt", "Demo", "Side", "Incomplete Dump", etc...)

-Add support for the older Votrax SC-01 chip; currently only used by Bally Astrocade-derived arcade hardware. All other devices
 remain using the Votrax SC-01-A. [Lord Nightmare]

-Fix a change which got lost in a manual merge [Lord-Nightmare]

-bus/psion: Added SIBO and Honda expansion port devices: [Nigel Barnes]
 * 3Fax Modem, 3Link Parallel Printer Interface, 3Link RS232 Serial Interface, and Siena SSD Drive.
   - psion/psion3a.cpp: Added wakeup with specific keys, and SIBO/Honda expansion ports.
   - psion/siena.cpp: Added wakeup with specific keys, and Honda expansion port.
   - psion/workabout.cpp: Added wakeup with specific keys.
   - machine/psion_asic5.cpp: Partially implemented peripheral mode.
   - machine/psion_asic9.cpp: Implemented memory protection, and additional external interrupt lines.

-apple2video.cpp: raster split on 80COL changes too.  Deater thinks he's a funny guy. [R. Belmont]

-apple2video: commit missing .h file.  [R. Belmont]

-msx1_cart.xml: Added 100 items (99 working). (#11235) [wilbertpol]
 * bus/msx/cart: Added support for Love Plus Pack 0 multi-game cartridge.

New working software list items (msx1_cart.xml)
-----------------------------------------------
The Love Plus Pack 0 (Korea, pirate) [file-hunter]
Trun (demo) [file-hunter]
Twin Hammer (Europe, alt) [file-hunter]
Twin Hammer (Europe, alt 2) [file-hunter]
Video Hustler (Japan, alt 2) [file-hunter]
Volguard (Japan, alt) [file-hunter]
TT Racer (Al Alamiah) [file-hunter]
Voyage to Mecca (Arab, alt 3) [file-hunter]
T-Game 4 [file-hunter]
T-Game 4 (alt) [file-hunter]
T-Virus [MSXDev]
Tales of Popolon (English, v1.3.1) [santiontanon]
Tales of Popolon (Spanish, v1.3.1) [santiontanon]
Tales of Popolon (English, v1.3) [santiontanon]
Tales of Popolon (Spanish, v1.3) [santiontanon]
Tales of Popolon (English, v1.2) [santiontanon]
Tales of Popolon (Spanish, v1.2) [santiontanon]
Tales of Popolon (English, v1.1.1) [santiontanon]
Tales of Popolon (English, v1.1) [santiontanon]
Tales of Popolon (English, v1.0) [santiontanon]
Teki-Paki [file-hunter]
Teki-Paki (beta) [MSXDev]
Tekmo 400 [file-hunter]
Teodoro no Sabe Volar (English) [MSXDev]
Teodoro no Sabe Volar (Spanish) [MSXDev]
The Circus Mystery (v1.4) [MSXDev]
The Circus Mystery (v1.3) [file-hunter]
The Cure [MSXDev]
The Cure (alt) [file-hunter]
The Lost Mines [file-hunter]
The Mansion (English) [MSXDev]
The Mansion (Spanish) [MSXDev]
The Menace from Triton (v1.2) [santiontanon]
The Menace from Triton (v1.1) [santiontanon]
The Menace from Triton (v1.0.2) [santiontanon]
The Menace from Triton (v1.0.1) [santiontanon]
The Menace from Triton (v1.0.0) [santiontanon]
The Queen's Footsteps (v1.1.1) [Davide Bucci]
The Queen's Footsteps (v1.0) [file-hunter]
Tiles of Shalom [MSXDev]
Tilez [[msx.org](http://msx.org/)]
Tina's Adventure Island [hobbyretro]
Tiny Slot Checker (v3.2) [tiny-yarou]
Tiny Slot Checker (v2) [tiny-yarou]
Tiny Slot Checker (older) [file-hunter]
Tomb of Genghis Khan [MSXDev]
Tool Blocks [MSXDev]
Tortilla Sunrise (English, v1.1) [MSXDev]
Tortilla Sunrise (Spanish, v1.1) [MSXDev]
Tortilla Sunrise (English, v1.0) [MSXDev]
Toss a Coin to your Witcher [cobinee]
Traffic Jam [MSXDev]
Traffic Jam (alt) [file-hunter]
Tragaperras (Spanish) [MSXDev]
Trail 2 [file-hunter]
Transball (v1.3.2, English) [santiontanon]
Transball (v1.3.2, Spanish) [santiontanon]
Transball (v1.3.1, English) [santiontanon]
Transball (v1.3.1, Spanish) [santiontanon]
Transball (v1.3, English) [santiontanon]
Transball (v1.3, Spanish) [santiontanon]
Transball (v1.2.1, English) [santiontanon]
Transball (v1.2.1, Spanish) [santiontanon]
Transball (v1.2, English) [santiontanon]
Transball (v1.2, Spanish) [santiontanon]
Transball (v1.1.1, English) [santiontanon]
Transball (v1.1.1, Spanish) [santiontanon]
Transball (v1.1, English) [santiontanon]
Transball (v1.1, Spanish) [santiontanon]
Transball (v1.0.1, Spanish) [santiontanon]
Transball (v1.0, English) [santiontanon]
Transball (v1.0, Spanish) [santiontanon]
Turfy (2019 version) [file-hunter]
Turfy (2016 version) [file-hunter]
Twinlight [retrosouls]
Twinlight (alt) [file-hunter]
Txupinazo! [MSXDev]
U-Do [file-hunter]
U.F.O. [file-hunter]
UnidentifiedFlyingObject [cobinee]
Universe Unknown [file-hunter]
Universe Unknown (alt) [file-hunter]
Up Tack [cobinee]
Uridium [file-hunter]
Uridium (alt) [file-hunter]
Uridium (alt 2) [file-hunter]
Uridium (alt 3) [file-hunter]
Utopia [file-hunter]
veejingSX (v0.996b) [303bcn]
veejingSX (v0.99b) [303bcn]
veejingSX (v0.9b) [303bcn]
9918-veejing (v0.7b, Russian) [303bcn]
9918-veejing (v0.1b) [303bcn]
Viking (English) [MSXDev]
Viking (Spanish) [MSXDev]
Virus LPQ-79 (v1.20) [MSXDev]
Virus LPQ-79 (v1.10) [file-hunter]
Virus LPQ-79 (v1.00) [file-hunter]
VVVVVV (unfinished) [hap]

New NOT_WORKING software list additions (msx1_cart.xml)
-------------------------------------------------------
Tel-Tron (Netherlands) [file-hunter]

-smc1102: improve lcd timing [hap]

-mn1400: add 28-pin mn1400 device [hap]

New working software list items
-------------------------------
msx1_cart: MSX-PLAN (Japan) [hap]

Systems promoted to working
---------------------------
Computer Perfection [hap, Sean Riddle]

New systems marked not working
------------------------------
MCM/70 [Nigel Barnes, York University Computer Museum]

-Add dump and skeleton device for Conner Peripherals CD-2024 hard disk [Bitsavers]

-nec/pce_cd.cpp: unbreak no disc state [angelosa]

-machine/stvcd.cpp: better split LOG calls to areas of interest [angelosa]

New systems marked not working
------------------------------
Series 3 [Nigel Barnes, The Last Psion]

New clones marked not working
-----------------------------
Pocket Book [Nigel Barnes, The Last Psion]
Series 3s [Nigel Barnes, The Last Psion]

-shared/megacdcd.cpp: fix no disc regression, make sure Mega CD don't throw a fatalerror on audio CD player, first pass at
 logmacro.h conversion [angelosa]

-ebases, demndrgn: Eliminate deprecated use of PORT_RESET for trackball inputs [AJR]

-machine/akiko.cpp: fix regression crash (amiga/cubo.cpp games still don't automount) [angelosa]

-ata/atapicdr, scsi/scsicd: Set CDDA image on device reset (#11238) [987123879113]
 * ata/atapicdr, scsi/scsicd: Set CDDA image on device reset
 * konami/konamim2: Fix CD-ROM image loading

-yamaha/ympsr150.cpp: Added PSR-190. (#11240) [Devin Acker]

New working clones
------------------
Yamaha PSR-190 [Edward d-tech]

-sinclair/tsconf.cpp,pentevo.cpp: various fixes (#11221) [holub]
 * sinclair/tsconf.cpp: Added Covox. fixed DMA blitting, fixed Kempston/beta conflict, and added TurboSound mod.
 * sinclair/pentevo.cpp: Added TurboSound mod.

-dim68k: Various improvements [AJR, Bitsavers]
 * Replace generic serial keyboard with dump and low level emulation of MCU-based keyboard
 * Specify correct clocks and XTAL sources for CPU and various other components
 * Add game control port (untested)

-misc/compucranes.cpp: Dumped and added a new crane on V7 PCB [jordigahan] (#11242) [ClawGrip]
 * misc/compucranes.cpp: Add a new V7 dump

New NOT_WORKING machine
-----------------------
Master Crane (set 2) [jordigahan]

-Rename existing set 2 as set 3 [ClawGrip]

-hash/kpython2.xml: updated the cdrom references to dvdrom (interface, diskarea and part names) [Ivan Vangelista]

-atari/cyberbal.cpp, atari/dragrace.cpp: consolidated drivers in single files [Ivan Vangelista]

-ksys573: remove chd leftover [Olivier Galibert]

-cdda: Modernize a little cubo: Fix the setup [Olivier Galibert]

-fix count (#11241) [tim lindner]

New working systems
-------------------
HC 120 [Nigel Barnes, zedstarr]

New working clones
------------------
HC 100 [Nigel Barnes, zedstarr]
HC 110 [Nigel Barnes, zedstarr]

New working software list additions
-----------------------------------
psion_ssd: Spreadsheet (Series 3) [zedstarr]
PsionMan v1.3, Pyramid v1.0a [The Last Psion]

-Fix validation errors from 24371e7a4af8a28e843218f3c887bc60360acc5b [AJR]

-ceres: hd image fixes [Olivier Galibert]

-sys573: Remove the cdrom drive from games that do not use cd/dvds [Olivier Galibert]

-dim68k: Remove obsolete patch [AJR]

-video/atirage.cpp: Extremely preliminary emulation of PCI ATI 3D Rage family SVGA chips. [R. Belmont]
 * apple/powermacg3.cpp: Hooked up ATI Rage II video, you can now enter and interact with Open Firmware. [R. Belmont]

-heathkit/h89.cpp: Implement more functionality, add new monitor ROMs, add more tech details (#11108) [Mark Garlanger]
 * heathkit/h89.cpp: Implement more functionality, add new monitor ROMs, add more tech details

-misc/rawthrillspc.cpp: Replace ASUS BIOS with the Compaq one found on the original Raw Thrills machine (#11243) [ClawGrip]

-apple/heathrow.cpp: Reworked class inheritance ordering and added NVRAM support. [R. Belmont]

-apple/dbdma.h: Slightly updated interface. [R. Belmont]

-apple/dbdma.h: Remove debug print. [R. Belmont]

-apple/imacg3.cpp: Hooked up ATI Rage IIc video and OPTi USB controller skeleton. [R. Belmont]

-apple/apple2.cpp,apple2e.cpp: More realistic (Control-)Reset behavior. [R. Belmont]
 * The 6502 is now held in reset until you let go of the keys, like hardware
 * IIe-class machines now reset the language card and MMU registers, like hardware

-atirage: fix -Wmaybe-uninitialized issue [hap]

-atari/cloak.cpp, atari/cloud9.cpp, atari/copsnrob.cpp: consolidated drivers in single files [Ivan Vangelista]

-Add missing ST keycodes (#11229) [ksherlock]

-BGFX and D3D9 renderer fixes for issues #11104, #11106, and #11107 (#11249) [MooglyGuy]
 * -hlsl.json: Removed duplicate scanline_variation setting. (#11107) [Ryan Holtz]
 * -d3dhlsl.cpp: Fixed lack of post-pass application when bloom is disabled. (#11104) [Ryan Holtz]
 * -drawd3d.cpp: Always set a default texture at scene start. (#11106) [Ryan Holtz]

-chqflag.cpp: Driver modernization [AJR]
 * Use ADC device for analog inputs
 * Eliminate runtime port tag lookups
 * Replace bankdev with memory view
 * Add start lamp output

-z180: Fix cycle timings for branches not taken (one operand byte is always read) [AJR]

-x68k: wait before setting gvram clear status bit [cracyc]

New clones marked not working
-----------------------------
Nandemo Seal Iinkai (ver 1.3) [twistedsymphony]

-subsino_m.cpp: Rename to subsino_crypt.cpp and don't hardcode region [AJR]

New clones marked not working
-----------------------------
Series 3a (2M) (Russian) [MaFrance351]

-mazerbla.cpp: Add ADCs and remove runtime port tag lookups [AJR]

-battlnts.cpp, fastlane.cpp, labyrunr.cpp, lethal.cpp: Correct CPU type [AJR]

-m6809: Set V flag on XDEC (#11259) [tim lindner]

-Initial work towards i440bx chipset (#11037) [Angelo Salese]
 * implement stubs for i82443bx_host and i82371eb PCI devices, hooks up base PCI stubs to midway/midqslvr.cpp, misc/comebaby.cpp and
    misc/xtom3d.cpp
 * misc/xtom3d.cpp: preliminary implementation of Oksan ROM DISK ISA card
 * machine/pci-smbus.h: make map public so it can be reused by i82371eb_acpi (would otherwise fail mapping to the intended HW)

New systems marked not working
------------------------------
Pump It Up: The 1st Dance Floor [ATR4X, Gergc, Pawprint, infamouspat, Ruubbinnexx, H4M573R, Angelo Salese, Hammy]

-ngp.cpp: Fix regression preventing system from booting [AJR]

New working clones
------------------
Gyakuten!! Puzzle Bancho (Japan, set 1) [twistedsymphony]

-taito/pkspirit.cpp: verified resonator value and pin 7 for the Oki [hammy]

New working clones
------------------
GX Part 2 (Galaxian hack) [Conrad at KLOV]
Galaxian III (bootleg of Galaxian) [Steph at KLOV]

-ioport: put IPT_ADJUSTER in same class as IPT_CONFIG [hap]

-ngp: zerofill all class variables [hap]

New NOT_WORKING machine (#11261)
--------------------------------
Yamaha PS-400 [Guru]

-dataeast/kchamp.cpp: Dumped and added a new Karate Champ set (#11262) [ClawGrip]

New WORKING clone
-----------------
Karate Champ (US, 2 players) [Museo Arcade Vintage, ClawGrip]

-namcos22: let's make ridgeracf a parent set [hap]

-namcos23: motoxgov1a dump had 1 bad bit [hap]

-video/atirage.cpp: Fixed Coverity bug, finished and tested GPIO implementation, cleanup. [R. Belmont]
 * apple/imacg3.cpp: Use extracted EDID from the internal monitor, resolution is now set correctly. [R. Belmont, edid.tv]

-apple/powermacg3.cpp: Fix to follow new Rage GPIO hookups. [R. Belmont]

-apple/macpwrbk030.cpp: fix macpb180c colors [angelosa]

-debughlp: document gp command [Patrick Mackinlay]

-gba.xml: Added 21 prototypes. (#11260) [David 'Foxhack' Silva]

New working software list items (gba.xml)
-----------------------------------------
AGB Aging Cartridge (World, version 1.0) [SmellyGhost, Forest of Illusion]
AGB Aging Cartridge (World, version 9.0) [Suicune41, Forest of Illusion]
Aero the Acro-Bat - Rascal Rival Revenge (Europe, prototype earlier) [LongwoodGeek, Forest of Illusion]
Chokkan Hitofude Advance (Japan, prototype) [xprism, Forest of Illusion]
Commandos 2 (USA, prototype) [DillyDylan, Forest of Illusion]
Dark Eden (prototype) [Ian Dunlop, Forest of Illusion]
Demon's Crest (prototype) [Ian Dunlop, Forest of Illusion]
Manic Miner (Europe, 20030307) [March42, Forest of Illusion]
Mario Kart XXL (demo, 20040417) [Forest of Illusion]
R3D-Demo V1 (demo) [Forest of Illusion]
Racing Gears Advance (USA, prototype, 20030922) [XBrav, Forest of Illusion]
Sea Boy (prototype) [Ian Dunlop, Forest of Illusion]
Star Wars Trilogy - Apprentice of the Force (USA, prototype) [Rezrospect, Forest of Illusion]
The Holy Bible - World English Bible (USA, prototype) [Gonz, Forest of Illusion]
Ultimate Muscle - The Kinnikuman Legacy - The Path of the Superhero (USA, prototype, 20030429) [Zach Lambert, Forest of Illusion]
Uridium Advance (Europe, prototype, 20030307) [March42, Forest of Illusion]

New software list items marked not working (gba.xml)
----------------------------------------------------
The King of Fighters EX2 - Howling Blood (USA, prototype, 20030403) [March42, Forest of Illusion]
Quake (demo) [Randy Linden, Forest of Illusion]
Paradroid (Europe, prototype, 20030320) [March42, Forest of Illusion]
Uridium Advance (Europe, prototype, 20020911) [March42, Forest of Illusion]
Uridium Advance and Paradroid 2 in 1 (Europe, prototype, 20030430) [March42, Forest of Illusion]

-oric1_cass.xml: Added six items (four working). (#11265) [ArcadeShadow]

New working software list additions (oric1_cass.xml)
----------------------------------------------------
Bandit (Express Software) [oric.org]
Caspak [oric.org]
Dinky Kong [oric.org]
Base Mercure [oric.org]

New NOT working software list additions (oric1_cass.xml)
--------------------------------------------------------
1815 [oric.org]
Lone Raider (France) [oric.org]

-Cleaned up logging across the codebase (GitHub #10183). (#11250) [Ryan Holtz]
 * Converted various logging patterns to use logmacro.h consistently.
 * Removed redefinitions of LOG_GENERAL.
 * Use LOGMASKED in more places.

New working machine added (#11268)
----------------------------------
Teenage Mutant Ninja Turtles Basketball (Konami handheld) [algestam, Sean Riddle, Mr. Do]

-ktmnt3: white bgcolor was off by 1 [hap]

-namco/namcos10.cpp, namco/ns10crypt.cpp: Added partial decrypter for Point Blank 3. (#11244) [Peter Wilhelmsen, Samuel Neves]
 * sound/spu.cpp: Don't explode when the reverb parameters couldn't be found after a save state. [Windy Fairy]

-bus/epson_qx: Add QX-10 Commodity Quote graphics memory expansion board. (#11222) [Brian Johnson]

-misc/nabupc_kbd.cpp: Fully emulated NABU PC keyboard. (#11220) [Brian Johnson]

-hh_sm510: correct release year for some konami handhelds [hap]

-Cleanup: [Vas Crabb]
 * gba.xml: Cleaned up some comments.
 * bus/epson_qx/cqgmem.cpp: Actually set m_installed.
 * misc/nabupc_kbd.cpp: Don't override general input assignments.
 * bus/qbus: Got rid of an unnecessary simple_list.

-msx1_cart.xml: Added 76 working items. (#11266) [wilbertpol]
 * Also replaced Super Bros. World 1 (Korea) and renamed seahorse to seahorsea.

New working software list items (msx1_cart.xml)
-----------------------------------------------
Safari X (Japan, The Links) [file-hunter]
Sasa (Japan, alt 2) [file-hunter]
Scramble Eggs (Korea) [file-hunter]
Sea Horse (Arab, v1.01) [file-hunter]
Skooter (Arab) [file-hunter]
Snake It (Arab) [file-hunter]
Snake It (Japan, alt) [file-hunter]
Space Shuttle - A Journey into Space (Japan) [file-hunter]
Star Trek (Japan) [file-hunter]
Star Trek (Japan, alt) [file-hunter]
Star Wars (Arab, alt) [file-hunter]
Super Bioman 1 (Korea) [file-hunter]
Super Bioman 1 (Korea, alt) [file-hunter]
Super Game 25 (Korea) [file-hunter]
Super Racer (Japan) [file-hunter]
Super Snake (Japan, alt 3) [file-hunter]
Supertripper (Spain, alt) [file-hunter]
S.o.L.o. (English) [MSXDev]
S.o.L.o. (Spanish) [MSXDev]
Sacred Valley [MSXDev]
Saimazoom (English) [MSXDev]
Saimazoom (Spanish) [MSXDev]
SD Sniper [MSXDev]
Seleniak [MSXDev]
Seleniak (alt) [MSXDev]
Sensha Game (20211107) [ochixn]
Sensha Game (20210318) [file-hunter]
Sensha Game (20201128) [file-hunter]
Shadow of the Pig (v1.3) [MSXDev]
Shadow of the Pig (v1.2) [file-hunter]
Shadow of the Pig [file-hunter]
Shadow Switcher [MSXDev]
Shmup! (v1.1) [MSXDev]
Shmup! (v1.0) [MSXDev]
Shouganai (v1.1) [MSXDev]
Shouganai (v1.0) [MSXDev]
Sink King [MSXDev]
Skate Air (English) [MSXDev]
Skate Air (Spanish) [MSXDev]
SKULLrs [MSXDev]
Slender - The Camping (v1.1) [MSXDev]
Slender - The Camping (v1.0) [MSXDev]
Slime Center [MSXDev]
Snail Maze [MSXDev]
Snake [file-hunter]
Snoopy Town [file-hunter]
Snowclimber 2K [file-hunter]
Snowclimber [file-hunter]
Soukoban Pocket Edition [MSXDev]
Sp8 Invaders [MSXDev]
Space Crussader (English) [MSXDev]
Space Crussader (Spanish) [MSXDev]
SpaceCat [MSXDev]
SPC Super HOOPS [MSXDev]
Speedjet Racers (demo) [file-hunter]
Sphere Redux [file-hunter]
Sport Racer [file-hunter]
SquareBall [MSXDev]
Stan, the Dreamer [MSXDev]
Step (v1.2) [MSXDev]
Step (v1.1) [file-hunter]
Stevedore (demo) [file-hunter]
Stratos (2005) [MSXDev]
Stratos (2004) [MSXDev]
Stray Cat (10th anniversary) [Imanok]
Stray Cat (MSX cartridge shop) [file-hunter]
Stray Cat [MSXDev]
Stupid Martians (v1.1) [MSXDev]
Stupid Martians (v1.0) [file-hunter]
Subacuatic [MSXDev]
Subacuatic (alt) [file-hunter]
SubCommander (v1.02) [MSXDev]
SubCommander (v1.01) [file-hunter]
SubCommander (v1.00) [file-hunter]
Sudoku [MSXDev]
Super Ilevan [file-hunter]

-msx1_cart.xml: Super Bioman titles are written with spaces in Korean. [Vas Crabb]

-hh_sm510: fix LCD segment for ktmntbb (#11270) [algestam]
 * An LCD segment for the ball-kick segment was grouped with the wrong part.

New systems marked not working
------------------------------
Volleyball (Tomy) [hap, Sean Riddle]

-osd/mac, osd/sdl: Really inhibit full screen toggle in debug mode to prevent accidental crashes [AJR]

New working systems
-------------------
Omron Luna 88K [Jeffrey McMahill]

-dataeast/kchamp.cpp: Fix parent/clone on kchamp2p (#11272) [ClawGrip]

-atari/st: add mouse buttons [ksherlock]

-vsmile_cart.xml: Added six new USA dumps (#11269) [ClawGrip]

New WORKING software list additions
-----------------------------------
Disney's Aladdin - Aladdin's Wonders of the World (USA) [anonymous dumper]
Nick Jr The Backyardigans - Viking Voyage (USA) [anonymous dumper]
Bert & Ernie's Imagination Adventure (USA) [anonymous dumper]
Lil' Bratz Dressed Up - Friends, Fashion and Fun (USA) [anonymous dumper]
Disney/Pixar Ratatouille - Remy's New Recipes (USA) [anonymous dumper]
DreamWorks Shrek - Dragon's Tale (USA) [anonymous dumper]

-Update vsmile_cart.xml: Fix parent-clone relationships [ClawGrip]

-ibm5170_cdrom.xml: Software list additions (#11258) [ArcadeShadow]

New working software list additions
-----------------------------------
Desert Strike & Jungle Strike (Europe) [redump.org]
First Samurai (Europe) [redump.org]
Jazz Jackrabbit (Europe, re-release) [redump.org]
Jazz Jackrabbit (Europe) [redump.org]
Jazz Jackrabbit 2 (Europe) [redump.org]
Leisure Suit Larry's Greatest Hits and Misses! (Europe, re-release) [redump.org]
Leisure Suit Larry's Greatest Hits and Misses! (USA) [redump.org]
Links - The Challenge of Golf (USA) [redump.org]
Loom (USA) [redump.org]
Loom (USA, alt) [redump.org]
Loom (USA, alt 2) [redump.org]
Monkey Island Madness (USA) [redump.org]
The Dig (USA) [redump.org]

-sinclair/tsconf.cpp: finalize regs delayed updates; fix graphic pages padding (#11248) [holub]
 * finalize regs delayed updates; fix graphic pages padding
 * fix spectrum page switch

-sega/powervr2.cpp: disable a printf [angelosa]

-bt47x: add bt479 device [Patrick Mackinlay]

-hash/n64.xml: perform a QA pass [Angelo Salese, Happy] (#11255) [Angelo Salese]
 * hash/n64.xml: initial QA pass
 * hash/n64.xml: QA checkpoint
 * hash/n64.xml: QA checkpoint
 * hash/n64.xml: finalize QA pass, add some promotions

-sound/es5503.cpp: Support sync and AM modes and the last oscillator volume bug. [R. Belmont]

-hrdvd: Add placeholders for all the chips, thanks Guru for tracing the pcb [Olivier Galibert]

-tc9223: Add forgotten override qualifier [Olivier Galibert]

Systems promoted to working
---------------------------
Basketball (Tomy) [hap, Sean Riddle]
Volleyball (Tomy) [hap, Sean Riddle]

-apple/apple2gs: Fix ROM0/1 ram size logic (#11264) [ksherlock]
 * 256k (ROM 0/1) apple2gs doesn't have any extra memory above the base 4 banks

-sinclair/tsconfdma.cpp: fix burst (#11277) [holub]

-mips1: fix address translation [Patrick Mackinlay]

-mips1: fix build [Patrick Mackinlay]

-nn71003: RB recognized a SPI interface [Olivier Galibert]

-imagedev/midiin.cpp: fix error condition handling so midi files can be loaded again (#11280) [Devin Acker]

-xtal.cpp: Add another known value (unused for now) [AJR]

-kaypro.cpp: State class split [AJR]

-factory reset taiko3 and taiko5 (#11275) [David Haywood]

-Set LinkSupportCircularDependencies for FreeBSD as well as NetBSD (#11271). [Vas Crabb]

-misc/rawthrillspc.cpp: Fixed doodlejmp BIOS ROM label. (#11247) [ClawGrip]

-namco/namcos10.cpp: Calibrated light guns for Point Blank 3 and Gunbalina. (#11281) [David Haywood]

-srcclean in preparation for MAME 0.255 branch [Vas Crabb]

-cpu/lr35902: Skip byte following STOP (0) opcode (fixes MT08644). [Vas Crabb]

-spectrum_cass.xml: Fixed some stray punctuation. [Vas Crabb]

-cpu/es5510: Avoid calling DESCRIBE_INSTR when not verbose-logging. (#11285) [Ryan Holtz]
